% KRDeblock demo

addpath('./jpegtbx_1.4');

OriginalFileName='./Images/Peppers.png';
CompressedFileName='./Images/Peppers_10.jpg';

% Run the KRDeblock method
Results=KRDeblock(OriginalFileName,CompressedFileName);

imshow(Results.OrigImg);
title('Original image');

figure;
imshow(Results.CompImg);
title('JPEG compressed image');

figure;
imshow(Results.ImKRDeblock);
title('KRdeblock restored image');

